Auth
Exchange a Google ID token for a SpendRock session (AUTH-1, AUTH-2)
No authentication needed.
No authentication needed.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/auth/google" \ -H "Content-Type: application/json" \ -d '{ "id_token": "string", "client": "web" }'{ "token": "string", "me": { "user": { "id": "string", "email": "string", "name": "string" }, "household": { "id": "01J8Z3N4Q5R6S7T8V9W0X1Y2Z3", "name": "string", "role": "owner" }, "default_household_id": "01J8Z3N4Q5R6S7T8V9W0X1Y2Z3", "households": [ { "id": "01J8Z3N4Q5R6S7T8V9W0X1Y2Z3", "name": "string", "role": "owner", "personal": true, "default": true, "archived": true, "member_count": 0, "joined_at": "2019-08-24T14:15:22Z" } ] }}